h58937
s 00000/00000/00066
d D 1.6 83/03/29 13:10:28 mjb 7 6
c fixed existing data transfer to show and allow 16 values to be passed
e
s 00003/00006/00063
d D 1.5 83/02/08 20:12:16 mjb 6 5
c restructured for overlaying menus
e
s 00002/00002/00067
d D 1.4 83/02/07 12:08:45 mjb 5 4
c fixed problem with initializing curve types
e
s 00001/00001/00068
d D 1.3 83/02/03 00:48:56 tes 4 2
c modified apdata interface to include last item to display
e
s 00000/00000/00069
d R 1.3 83/02/02 19:04:34 tes 3 2
c 
e
s 00014/00002/00055
d D 1.2 83/02/02 11:16:38 tes 2 1
c Added DIF interfaces
e
s 00057/00000/00000
d D 1.1 83/02/01 01:53:06 tes 1 0
c date and time created 83/02/01 01:53:06 by tes
e
u
tes
mjb
U
t
T
I 1
subroutine mnudac (item)
########################################################################
#                                                                      #
#          THIS MATERIAL IS CONFIDENTIAL AND IS FURNISHED UNDER        #
#          A WRITTEN LICENSE AGREEMENT.  IT MAY NOT BE USED,           #
#          COPIED OR DISCLOSED TO OTHERS EXCEPT IN ACCORDANCE          #
#          WITH THE TERMS OF THAT AGREEMENT.                           #
#                                                                      #
#          COPYRIGHT (C) 1982 GRAPHIC SOFTWARE SYSTEMS INC.            #
#          ALL RIGHTS RESERVED.                                        #
#                                                                      #
#     Function: Determine how to access the DIF file format            #
#                                                                      #
#     Input Parameters:                                                #
#            item  - selected menu item                                #
#                                                                      #
#     Output Parameters:                                               #
#            None                                                      #
#                                                                      #
#     Routines Called:                                                 #
#            None                                                      #
#                                                                      #
########################################################################
SHORTINT item

SHORTINT jump
integer iclear

include(`gphcom')

data iclear /YES/

jump = item + 1
go to (DIG0,DIG1,DIG2,DIG3,DIG4,DIG5,DIG6,DIG7,DIG8,DIG9), jump

   DIG0 continue
      call apmenu (MAINxMENU, iclear)
      return

   DIG1 continue  # Row
I 2
D 5
      call rddif (1, bctype)
E 5
I 5
      call rddif (1)
E 5
E 2
      go to OTHERxWISE

   DIG2 continue  # Column
I 2
D 5
      call rddif (2, bctype)
E 5
I 5
      call rddif (2)
E 5
E 2
D 6
      go to OTHERxWISE
E 6

I 2
   OTHERxWISE continue
      if (bctype != PIE) {
D 6
	 call apmenu (GRAPHxDATAxFRAME, iclear)
	 call cgdatt (krmain)
E 6
I 6
	 mid = GRAPHxDATAxFRAME
E 6
	 }
      else {
D 6
	 call apmenu (PIExEDIT, iclear)
	 call cpeatt (krmain)
E 6
I 6
	 mid = PIExEDIT
E 6
         }
D 4
      call apdata (1)
E 4
I 4
D 6
      call apdata (1, FOREVER)
E 6
I 6
      action = BREAKxOVERLAY
E 6
E 4


E 2
   DIG3 continue
   DIG4 continue
   DIG5 continue
   DIG6 continue
   DIG7 continue
   DIG8 continue
   DIG9 continue   
D 2

   OTHERxWISE continue
E 2

   return
end
E 1
